Bug 1290026 - Openstack: A removed openstack infra provider is listed when adding a new openstack cloud provider [NEEDINFO]
Openstack: A removed openstack infra provider is listed when adding a new ope...
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity low
: GA
: 5.6.0
Assigned To: Ladislav Smola
Jan Krocil
openstack
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 09:20 EST by Jan Krocil
Modified: 2016-04-29 15:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-29 15:27:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkrocil: automate_bug-
lsmola: needinfo? (gblomqui)


Attachments (Terms of Use)

  None (edit)
Description Jan Krocil 2015-12-09 09:20:09 EST
Description of problem:
SSIA

Version-Release number of selected component (if applicable):
5.4.4.2

How reproducible:
Always

Steps to Reproduce:
1. Add an openstack infra provider
2. Remove it
3. Try to add a new cloud provider

Actual results:
Removed openstack infra provider is listed under "Openstack Infra Provider".

Expected results:
The removed provider shouldnt be listed.

Additional info:

This is a 5.4-only issue.

I _wasnt_ able to reproduce this in 5.5.
Comment 2 Greg Blomquist 2015-12-10 10:05:37 EST
Ladas, seems like this is familiar.  Do you remember anything like this?
Comment 4 Ladislav Smola 2016-04-27 07:10:30 EDT
fixed a long time ago in https://github.com/ManageIQ/manageiq/pull/2717

Note You need to log in before you can comment on or make changes to this bug.